document.addEventListener('DOMContentLoaded', () => {
  const helpButton = document.getElementById('helpButton');
  const openOptionsButton = document.getElementById('openOptions');
  const reportButton = document.getElementById('reportButton');

  // Help button
  if (helpButton) {
    helpButton.addEventListener('click', () => {
      chrome.tabs.create({ url: chrome.runtime.getURL("help.html") });
    });
  }

  // Options button
  if (openOptionsButton) {
    openOptionsButton.addEventListener('click', () => {
      chrome.runtime.openOptionsPage();
    });
  }

  // Report Issue button
  if (reportButton) {
    reportButton.addEventListener('click', () => {
      chrome.tabs.query({active: true, currentWindow: true}, (tabs) => {
        const currentUrl = tabs[0]?.url || 'unknown website';
        const reportUrl = `https://altc.ai/contact?subject=Report Issue&body=I have faced an issue with AltC.AI on ${encodeURIComponent(currentUrl)}`;
        chrome.tabs.create({ url: reportUrl });
      });
    });
  }
});